tile {EBImage} | R Documentation

## Generate a tiled image from a stack of images

### Description

Given an image stack (or a list of such those), `tile` generates for each stack a single image with frames tiled. `untile` does exactly the opposite dividing a tiled image into a stack.

### Usage

      ## S4 method for signature 'Image':
      tile(x, nx=10, lwd=1, fg.col="#E4AF2B", bg.col="gray", ...)
      ## S4 method for signature 'list':
      tile(x, nx=10, lwd=1, fg.col="#E4AF2B", bg.col="gray", ...)
      ## S4 method for signature 'Image, numeric':
      untile(x, nim, lwd=1, ...)

### Arguments

`x` | An object of `Image` or a list of such objects. Images must be grayscale and carry object indexing information, like those returned by `watershed` or `propagate`.
`nx` | The number of tiled images in a row.
`lwd` | The width of the grid lines between tiled images, can be 0.
`fg.col` | The color of the grid lines (if `lwd > 0`). This will be converted to Grayscale if the color mode of `x` is `Grayscale`.
`bg.col` | The color of the background for extra tiles. This will be converted to Grayscale if the color mode of `x` is `Grayscale`.
`nim` | A numeric vector of 2 elements for the number of images in both directions.
`...` | Reserved.

### Details

`tile` for `x=list` is a useful addition to `stackObjects`, which returns a list of stacks, thus it can be directly used on the result of the latter.

### Value

An image of the same class and in the same color mode as `x`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### See Also

`stackObjects, combine`

### Examples

      ## see example(stackObjects)

[Package EBImage version 2.6.0 Index]